
TYPO3.Flow - Bug # 36617

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: - Testing -
Created: 2012-04-26 Assigned To: Karsten Dambekalns
Updated: 2012-04-28 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: FunctionalTestRequestHandler does not implement HttpRequestHandlerInterface
Description

In some cases functional tests need to access getHttpRequest() on the active RequestHandler. In functional tests this doesn't work.

Associated revisions
Revision d38e25b3 - 2012-04-27 15:00 - Karsten Dambekalns

[BUGFIX] Make getHttpRequest() work in functional tests

In some cases functional tests need to access getHttpRequest() on the
active RequestHandler. In functional tests this did not work, because
the FunctionalTestRequestHandler did not implement the new
HttpRequestHandlerInterface.

Now it does and the InternalRequestEngine sets the current request.

Change-Id: I2aecd4bb5f52f8e6cad3f4e4d31f8ac194ac7a58
Fixes: #36617
Releases: 1.1

History
#1 - 2012-04-26 16:17 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10784

#2 - 2012-04-26 21:43 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10784

#3 - 2012-04-27 15:00 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10784

2015-08-03 1/2

http://review.typo3.org/10784
http://review.typo3.org/10784
http://review.typo3.org/10784


#4 - 2012-04-28 14:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d38e25b36b17af2843fe9d11bbb5f5aa1ec7e647.
